Bug 953892 - [abrt] owncloud-client-1.2.1-2.fc18: memcpy: Process /usr/bin/owncloud was killed by signal 11 (SIGSEGV)
Summary: [abrt] owncloud-client-1.2.1-2.fc18: memcpy: Process /usr/bin/owncloud was ki...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mirall
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Joseph Marrero
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b723c24f914b98e30200555a343...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-19 12:56 UTC by Julien Recurt
Modified: 2013-04-29 03:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-29 03:23:23 UTC


Attachments (Terms of Use)
File: backtrace (88.10 KB, text/plain)
2013-04-19 12:56 UTC, Julien Recurt
no flags Details
File: cgroup (130 bytes, text/plain)
2013-04-19 12:56 UTC, Julien Recurt
no flags Details
File: core_backtrace (5.83 KB, text/plain)
2013-04-19 12:56 UTC, Julien Recurt
no flags Details
File: dso_list (14.29 KB, text/plain)
2013-04-19 12:56 UTC, Julien Recurt
no flags Details
File: environ (1.61 KB, text/plain)
2013-04-19 12:56 UTC, Julien Recurt
no flags Details
File: limits (1.29 KB, text/plain)
2013-04-19 12:56 UTC, Julien Recurt
no flags Details
File: maps (73.89 KB, text/plain)
2013-04-19 12:56 UTC, Julien Recurt
no flags Details
File: open_fds (4.32 KB, text/plain)
2013-04-19 12:56 UTC, Julien Recurt
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-04-19 12:56 UTC, Julien Recurt
no flags Details

Description Julien Recurt 2013-04-19 12:56:01 UTC
Version-Release number of selected component:
owncloud-client-1.2.1-2.fc18

Additional info:
backtrace_rating: 4
cmdline:        owncloud
crash_function: memcpy
executable:     /usr/bin/owncloud
kernel:         3.8.7-201.fc18.x86_64
uid:            1000
ureports_counter: 1
var_log_messages: Apr 19 04:33:19 cs-thelan abrt[8920]: Saved core dump of pid 28648 (/usr/bin/owncloud) to /var/tmp/abrt/ccpp-2013-04-19-04:33:18-28648 (103383040 bytes)
xsession_errors: *** glibc detected *** owncloud: free(): corrupted unsorted chunks: 0x00007f2b385abf80 ***

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 memcpy at ../sysdeps/x86_64/memcpy.S:509
 #2 x509_name_ex_i2d at x_name.c:238
 #3 ASN1_item_ex_i2d at tasn_enc.c:181
 #4 asn1_template_ex_i2d at tasn_enc.c:413
 #5 ASN1_item_ex_i2d at tasn_enc.c:249
 #6 asn1_template_ex_i2d at tasn_enc.c:413
 #7 ASN1_item_ex_i2d at tasn_enc.c:249
 #8 asn1_item_flags_i2d at tasn_enc.c:122
 #9 QSslCertificatePrivate::QByteArray_from_X509 at ssl/qsslcertificate.cpp:656
 #10 QSslCertificate::toDer at ssl/qsslcertificate.cpp:529

Comment 1 Julien Recurt 2013-04-19 12:56:05 UTC
Created attachment 737595 [details]
File: backtrace

Comment 2 Julien Recurt 2013-04-19 12:56:07 UTC
Created attachment 737596 [details]
File: cgroup

Comment 3 Julien Recurt 2013-04-19 12:56:09 UTC
Created attachment 737597 [details]
File: core_backtrace

Comment 4 Julien Recurt 2013-04-19 12:56:12 UTC
Created attachment 737598 [details]
File: dso_list

Comment 5 Julien Recurt 2013-04-19 12:56:14 UTC
Created attachment 737599 [details]
File: environ

Comment 6 Julien Recurt 2013-04-19 12:56:18 UTC
Created attachment 737600 [details]
File: limits

Comment 7 Julien Recurt 2013-04-19 12:56:20 UTC
Created attachment 737601 [details]
File: maps

Comment 8 Julien Recurt 2013-04-19 12:56:23 UTC
Created attachment 737602 [details]
File: open_fds

Comment 9 Julien Recurt 2013-04-19 12:56:25 UTC
Created attachment 737603 [details]
File: proc_pid_status

Comment 10 Fedora Update System 2013-04-24 14:27:37 UTC
mirall-1.2.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mirall-1.2.5-1.fc18

Comment 11 Fedora Update System 2013-04-24 14:27:51 UTC
owncloud-csync-0.70.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/owncloud-csync-0.70.7-1.fc17

Comment 12 Fedora Update System 2013-04-24 14:33:52 UTC
owncloud-csync-0.70.7-1.fc19,mirall-1.2.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/owncloud-csync-0.70.7-1.fc19,mirall-1.2.5-1.fc19

Comment 13 Fedora Update System 2013-04-24 16:32:23 UTC
Package owncloud-csync-0.70.7-1.fc19, mirall-1.2.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing owncloud-csync-0.70.7-1.fc19 mirall-1.2.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6478/owncloud-csync-0.70.7-1.fc19,mirall-1.2.5-1.fc19
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2013-04-24 19:09:11 UTC
owncloud-csync-0.70.7-1.fc17,mirall-1.2.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/owncloud-csync-0.70.7-1.fc17,mirall-1.2.5-1.fc17

Comment 15 Fedora Update System 2013-04-24 19:10:58 UTC
owncloud-csync-0.70.7-1.fc18, mirall-1.2.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/owncloud-csync-0.70.7-1.fc18,mirall-1.2.5-1.fc18

Comment 16 Fedora Update System 2013-04-29 03:23:24 UTC
owncloud-csync-0.70.7-1.fc19, mirall-1.2.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.